# Get Bill Info

{% hint style="info" %}
**API Endpoint**

**POST** [**/client/bills/view**](https://xpay.stream/client/bills/view)
{% endhint %}

***

{% hint style="info" %}
**Request Headers:**

Authorization: Bearer [\<access\_token>](https://docs.xpay.stream/authentication-api)

Content-Type: application/json\
\
**Request Body:**

{% code lineNumbers="true" %}

```json
{
    "reference":"66bb8c4dbb18e67"
}
```

{% endcode %}
{% endhint %}

{% hint style="success" %}
**Success Response**\
You will get under the created wallet details under th&#x65;*`success.data`*

Wallet Address: *`success.data.address.base58`*

Wallet Identifier: *`success.data.uuid`*

**`Example Below:`**

{% code lineNumbers="true" fullWidth="true" %}

```json
{
    "success": {
        "message": "bill found",
        "data": {
            "uuid": "3e5a9989-fd28-4884-9283-a1cafb259aef",
            "address": {
                "base58": "",
                "hex": ""
            },
            "billAmount": 2500000,
            "billRef": "66bb8c4dbb18e67",
            "callbackURL": "https://yourdomain.com?route=extension/xpay_stream/payment/xpay_stream.callback",
            "closed": true,
            "cooldown": 0,
            "createdAt": 1723567182420,
            "email": "elaro_13@live.com",
            "lnInvoice": {
                "createdAt": 1723567182,
                "paymentRequest": "lnbc41510n1pnthrzwpp5krrjvjqzx38kpf7u2ypmtclw3hrz8el2nhlyqqfxzuww89klnxdsdp6xdjn2cfe8yurjttxvserstf58qurgtfexgurxttpx93kzenzxg6njct9vccqzpuxqz6gsp59zrr3ahm7dpftj92lfplm3gdytandrnf5fff5k9vl44umrhv03rs9qxpqysgqa8nvfzs9zups306l70mgpl9c64prhv8vj3nhn78gf3z64427g4f4y2l6hr8ytwghj8xfnrs0hqvku68n2hx9vdcffchfhlny4yxefwspydh0l9",
                "paymentStatus": "PENDING",
                "satoshis": 4151,
                "dollars": 2.5
            },
            "paidAmount": 2500000,
            "starting": 1723567122420,
            "tag": "Cart - AroMusitronix",
            "testnet": false,
            "txs": [
                {
                    "txRef": "66bb8c62ad181d1aae0ac541",
                    "txID": "b0c7264802344f60a7dc5103b5e3ee8dc623e7ea9dfe400126171ce396df999b",
                    "amount": 4151,
                    "timestamp": 1723567202118
                }
            ],
            "until": 1723568082420,
            "username": "account@mail.com",
            "wallet": "68e457c5-d8fb-4d62-ac5b-62fd6fd46484",
            "lnReceipt": {
                "accountId": "9850bca7-194a-557d-8332-33af2477a1f3",
                "eventType": "receive.lightning",
                "transaction": {
                    "createdAt": "2024-08-13T16:40:02.118Z",
                    "externalId": "b0c7264802344f60a7dc5103b5e3ee8dc623e7ea9dfe400126171ce396df999b",
                    "id": "66bb8c62ad181d1aae0ac541",
                    "initiationVia": {
                        "paymentHash": "b0c7264802344f60a7dc5103b5e3ee8dc623e7ea9dfe400126171ce396df999b",
                        "pubkey": "02fcc5bfc48e83f06c04483a2985e1c390cb0f35058baa875ad2053858b8e80dbd",
                        "type": "lightning"
                    },
                    "memo": "3e5a9989-fd28-4884-9283-a1cafb259aef",
                    "settlementAmount": 4151,
                    "settlementCurrency": "BTC",
                    "settlementDisplayAmount": "2.51",
                    "settlementDisplayFee": "0.00",
                    "settlementDisplayPrice": {
                        "base": "60467357263",
                        "displayCurrency": "USD",
                        "offset": "12",
                        "walletCurrency": "BTC"
                    },
                    "settlementFee": 0,
                    "settlementVia": {
                        "revealedPreImage": "f4a4845b338818d15e0452eb051b73467486bf608ad375be4345a607ffae1d3b",
                        "type": "lightning"
                    },
                    "status": "success",
                    "walletId": "521ff90f-0d45-4375-a52f-c10512944423"
                },
                "walletId": "521ff90f-0d45-4375-a52f-c10512944423"
            },
            "businessName": "Business And Co..",
            "businessInfo": "Business Info",
            "balances": {
                "tokenBalanceRaw": 0,
                "tokenBalance": 0,
                "tronBalanceSun": 0,
                "tronBalance": 0
            }
        }
    },
    "uuid": "4dcd5c32-b506-49f9-b37c-dd2b522622e0"
}
```

{% endcode %}
{% endhint %}

***

{% tabs %}
{% tab title="CURL Example" %}
{% code lineNumbers="true" fullWidth="true" %}

```bash
curl 'https://apis.xpay.stream/client/wallets/view' \
  -H 'Authorization: Bearer <access_token>'         \
  -H 'Content-Type: application/json'               \
  --data-raw '{"reference":"66bb8c4dbb18e67"}'             
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS Example" %}
{% code lineNumbers="true" %}

```javascript
// npm i cross-fetch
const fetch = require("cross-fetch");

const API_URL = "https://apis.xpay.stream/client/wallets/view";

const method = "POST";

const headers = { 
    "Content-Type": "application/json",
    "Authorization": "Bearer <access_token>"
};

const body = JSON.stringify({
    "reference":"<bill_ref>"
});

fetch(API_URL, { headers, body, method })
.then(async res =>  await res.json())
.then(result => {
    if(result.error)
        console.log("Bill Fetch Error", result);
    if(result.success)
        console.log("Bill Fetched", result);
})
.catch((err) => {
    console.error("Bill Fetch API Exception", err);
});
```

{% endcode %}

{% endtab %}
{% endtabs %}
